Bug 19738

Summary: Process PrivateMemorySize64 always returns 0
Product: [Mono] Runtime Reporter: John Miller [MSFT] <john.miller>
Component: GeneralAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: mohitk, mono-bugs+mono, mono-bugs+runtime, valentin, vargaz
Priority: ---    
Version: 3.4.0   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: TestCase

Description John Miller [MSFT] 2014-05-13 16:16:03 UTC
Created attachment 6796 [details]
TestCase

## Overview: 

    PrivateMemorySize64 always returns 0 for a Process. 

## Steps to Reproduce: 

    1. Run the attached test case and observe the output.

## Actual Results: 

    PrivateMemorySize64: 0

## Expected Results: 

    PrivateMemorySize64 should output total private memory usage of all running processes.

## Build Date & Platform: 

    Mono 3.4.0 ((no/c3fc3ba)

## Additional Information: 

    The other "Memory" related properties on a Process are also all 0.
Comment 2 Zoltan Varga 2014-05-13 17:53:18 UTC
Fixed in mono master a4f595060b00ea294e246271ac9e0c62c7bf5853, we now return task_basic_info.resident_size, which is not the same, but still better than returning 0.
Comment 3 Mohit Kheterpal 2014-06-03 12:58:25 UTC
I have checked this issue and getting same behavior while running the attached sample in bug description as shown in screencast : http://screencast.com/t/rTU8xi1nO

Hence reopening this issue.

Environment info :
=== Xamarin Studio ===

Version 5.1 (build 327)
Installation UUID: 449f40dd-b3f1-4028-9a6b-cca0d1a2307d
Runtime:
	Mono 3.4.0 ((no/c3fc3ba)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 304000204

=== Apple Developer Tools ===

Xcode 5.1.1 (5085)
Build 5B1008

=== Xamarin.iOS ===

Version: 7.2.99.1 (Enterprise Edition)
Hash: a82e30c
Branch: 
Build date: 2014-06-02 11:31:47-0400

=== Xamarin.Android ===

Version: 4.14.0 (Enterprise Edition)
Android SDK: /Users/360logicaxamarinmacmini/Desktop/android-sdk-macosx_Róbert_à
	Supported Android versions:
		1.6   (API level 4)
		2.1   (API level 7)
		2.2   (API level 8)
		2.3   (API level 10)
		3.1   (API level 12)
		3.2   (API level 13)
		4.0   (API level 14)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
Java SDK: /usr
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

=== Xamarin.Mac ===

Xamarin.Mac: 1.8.0.7

=== Build Information ===

Release ID: 501000327
Git revision: 9a4bf62f59ec39169e4e9b61c3816a03c8ac961f
Build date: 2014-06-03 06:01:06-04
Xamarin addins: b68a34ef2fc4c46b045dc38e26fb199bfe1b201d

=== Operating System ===

Mac OS X 10.8.4
Darwin 360Logicas-Mac-mini.local 12.4.0 Darwin Kernel Version 12.4.0
    Sun Mar 10 18:01:10 PDT 2013
    root:xnu-2050.24.6~1/RELEASE_X86_64 x86_64
Comment 5 Zoltan Varga 2014-07-28 19:16:40 UTC
7.2.5.5 is based on an older version of mono which doesn't contain the fix. 7.2.6 should have it through.
Comment 6 Zoltan Varga 2014-07-28 19:20:50 UTC
Also, this bug was fixed in desktop mono, so it might still not work on ios.